Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor
Class StrutsConversionErrorInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          com.opensymphony.xwork2.interceptor.ConversionErrorInterceptor
              org.apache.struts2.interceptor.StrutsConversionErrorInterceptor

All Implemented Interfaces:
  Interceptor, java.io.Serializable

    public class StrutsConversionErrorInterceptor

extends ConversionErrorInterceptor

This interceptor extends `ConversionErrorInterceptor` but only adds conversion errors from the ActionContext to the field errors of the action if the field value is not null, "", or {""} (a size 1 String array with only an empty String). See `ConversionErrorInterceptor` for more information, as well as the Type Conversion documentation.

Interceptor parameters:

- None

Extending the interceptor:

There are no known extension points for this interceptor.

     <action name="someAction" class="com.examples.SomeAction">
         <interceptor-ref name="params"/>
         <interceptor-ref name="conversionError"/>
         <result name="success">good_result.ftl</result>
     </action>

See Also:
  `ActionContext.getConversionErrors()`, `ConversionErrorInterceptor`, Serialized Form

Field Summary

Fields inherited from class com.opensymphony.xwork2.interceptor.ConversionErrorInterceptor
`ORIGINAL_PROPERTY_OVERRIDE`

Constructor Summary
`StrutsConversionErrorInterceptor()`

Method Summary
`protected java.lang.Object` | `getOverrideExpr(ActionInvocation invocation, java.lang.Object value)`
`protected boolean` | `shouldAddError(java.lang.String propertyName, java.lang.Object value)` Returns `false` if the value is null, "", or {""} (array of size 1 with a blank element).

Methods inherited from class com.opensymphony.xwork2.interceptor.ConversionErrorInterceptor
`intercept`

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsConversionErrorInterceptor

    public StrutsConversionErrorInterceptor()

Method Detail

### getOverrideExpr

    protected java.lang.Object getOverrideExpr(ActionInvocation invocation,
                                               java.lang.Object value)

  Overrides:
    `getOverrideExpr` in class `ConversionErrorInterceptor`

### shouldAddError

    protected boolean shouldAddError(java.lang.String propertyName,
                                     java.lang.Object value)

  Returns `false` if the value is null, "", or {""} (array of size 1 with a blank element). Returns `true` otherwise.

  Overrides:
    `shouldAddError` in class `ConversionErrorInterceptor`
  Parameters:
    `propertyName` - the name of the property to check.
    `value` - the value to error check.
  Returns:
    `false` if the value is null, "", or {""}, `true` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.